www/p5-Template-Provider-Encoding - The NetBSD Packages Collection

Explicitly declare encodings of your templates

Template::Provider::Encoding is a Template Provider subclass to
decode template using its declaration. You have to declare encoding
of the template in the head (1st line) of template using (fake)
encoding TT plugin. Otherwise the template is handled as utf-8.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-Template-Toolkit lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
aarch64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
aarch64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
alpha:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
alpha:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
alpha:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earm:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earm:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
earmv6hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earmv6hf:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
earmv6hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earmv6hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 8.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 8.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
earmv7hf:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
i386:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 8.0)
i386:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
i386:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
i386:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
i386:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
i386:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
m68k:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
mips64eb:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
mips64eb:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
mipsel:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
powerpc:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
powerpc:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
powerpc:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
powerpc:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
sh3el:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
sh3el:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
sparc64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
sparc64:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
sparc64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
sparc:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
sparc:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
sparc:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
x86_64:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 8.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 8.0)
x86_64:p5-Template-Provider-Encoding-0.10nb10.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)
x86_64:p5-Template-Provider-Encoding-0.10nb11.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]